package com.bgy.sms.channel.dto;

import com.bgy.sms.config.ResponseCode;

import java.io.Serializable;

public class DmHubSendResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    private String code;

    public DmHubSendResponse() {

    }

    public DmHubSendResponse(String code, String msg) {
        this.code = code;
    }

    public DmHubSendResponse(ResponseCode responseCode) {
        this.code = responseCode.getCode();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    @Override
    public String toString() {
        return "DmHubSendResponse{" +
                "code='" + code + '\'' +
                '}';
    }
}
